Phoenix Jailbreak Released for 32-Bit Devices on iOS 9.3.5

Phoenix Jailbreak Released for 32-Bit Devices on iOS 9.3.5

Posted by · 13 comments · Add Comment
In+and+out+my+butt+crack - August 7, 2017 at 8:40pm
I still own and use my iPhone 5 on iOS 9.0.2 from back in 2012. I really need to update my phone this year to the iPhone 8 but where is the jailbreak? I won't buy a new phone if I can't jailbreak it. I'll use my iPhone 5 til it seriously starts to piss me off with how slow it is. Some apps don't work with my iOS 9.0.2 but none that I need so far. C'mon hackers....we need you.
Nicetucu - August 7, 2017 at 5:32pm
It's the last IOS for many legacy devices. It means a permanent jailbreak for me on an iPad 2 that lost my jailbreak (IOS 8.1) a week or so ago. So this is brilliant and the timing couldn't be better!!!!! Thanks, guys!
RCK - August 7, 2017 at 3:56pm
it jb but when you go to Cydia it does not open? WHY?
mika'el - August 24, 2017 at 1:53am
i down loaded the jailbreak but cydia will not open WTF!!!
drigo marki - August 7, 2017 at 2:41pm
Now honestly, how many people even have installed iOS 9.3.5? Anyone?
D4xM4Nx - August 7, 2017 at 12:02pm
Notice the 'kickstart jailbreak' text in the tool... i0n1c or whatever is about to start new drama cuz 'DEY STOLE MY BUGS AND MY MONEYZZZ T_T' Hahahaha. Hey iOS 9.3.5 thugs, welcome back to the jailbreak circus. Awaiting for my iOS 18.69 jelbrek toolzzzzzz :P
Noman2200 - August 7, 2017 at 10:38am
Been jailbreaking my iPhones since the first release but during the years the things got better operating system wise and also jailbreakers gone really slow so got only like my sons old iPhone 5 and old iPad Mini-jailbroken... it seems that the whole scene is dying off. Its a pity since loved the options Cydia gave you to customise your device.
Jay - August 7, 2017 at 4:38pm
That's why I still have my 6 9.0.2 fully untethered
The Dude - August 7, 2017 at 6:09am
Why are you guys mad if one person out of billions releases a tool like this? Chill. If you have a touch laying around on 9.3.5.....you wont be complaining. There are people who actively seek to stay on lower firmwares. I specifically pick iOSs that have full tethered jailbreaks. None of this profile/cydia impactor crap
Dizsucks - August 7, 2017 at 4:45am
Is this for some 2 year old version?
Ricky - August 7, 2017 at 4:31am
REALLY NOT HAPPY 9.3.5 , who the 10.3.1 , why from last years Apple win all the game , just 7 days Dev certificate, hackers people do hard work need some good output from you . Need jb 10.3 x.
Blazzit - August 7, 2017 at 3:42am
Wtf!! 9.3.5
Prev1 of 2Next